Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDIMPLANTATIONTYPEvalues

    java.lang.Object
      java.lang.Enum<CDIMPLANTATIONTYPEvalues>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDIMPLANTATIONTYPEvalues

All Implemented Interfaces:
  Serializable, Comparable<CDIMPLANTATIONTYPEvalues>

    public enum CDIMPLANTATIONTYPEvalues

extends Enum<CDIMPLANTATIONTYPEvalues>

Java class for CD-IMPLANTATION-TYPEvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-IMPLANTATION-TYPEvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="unimedial"/>
         <enumeration value="unilateral"/>
         <enumeration value="bicompartimental"/>
         <enumeration value="femoropatellar"/>
         <enumeration value="totalcr"/>
         <enumeration value="totalps"/>
         <enumeration value="totalcck"/>
         <enumeration value="hinge"/>
         <enumeration value="totaluc"/>
         <enumeration value="other"/>
         <enumeration value="totalprosthesis"/>
         <enumeration value="totalprosthesisdualmobility"/>
         <enumeration value="hemiprosthesismonoblock"/>
         <enumeration value="hemiprosthesisbipolar"/>
         <enumeration value="bicruciateretaining"/>
         <enumeration value="hemiprosthesismodular"/>
         <enumeration value="resurfacingfemhemi"/>
         <enumeration value="resurfacingfemcup"/>
         <enumeration value="resurfacingpartial"/>
         <enumeration value="resurfacingpartialfemcondyle"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`BICOMPARTIMENTAL`
`BICRUCIATERETAINING`
`FEMOROPATELLAR`
`HEMIPROSTHESISBIPOLAR`
`HEMIPROSTHESISMODULAR`
`HEMIPROSTHESISMONOBLOCK`
`HINGE`
`OTHER`
`RESURFACINGFEMCUP`
`RESURFACINGFEMHEMI`
`RESURFACINGPARTIAL`
`RESURFACINGPARTIALFEMCONDYLE`
`TOTALCCK`
`TOTALCR`
`TOTALPROSTHESIS`
`TOTALPROSTHESISDUALMOBILITY`
`TOTALPS`
`TOTALUC`
`UNILATERAL`
`UNIMEDIAL`

Method Summary
`static CDIMPLANTATIONTYPEvalues` | `fromValue(String v)`
`String` | `value()`
`static CDIMPLANTATIONTYPEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDIMPLANTATIONTYPEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNIMEDIAL

    public static final CDIMPLANTATIONTYPEvalues UNIMEDIAL

### UNILATERAL

    public static final CDIMPLANTATIONTYPEvalues UNILATERAL

### BICOMPARTIMENTAL

    public static final CDIMPLANTATIONTYPEvalues BICOMPARTIMENTAL

### FEMOROPATELLAR

    public static final CDIMPLANTATIONTYPEvalues FEMOROPATELLAR

### TOTALCR

    public static final CDIMPLANTATIONTYPEvalues TOTALCR

### TOTALPS

    public static final CDIMPLANTATIONTYPEvalues TOTALPS

### TOTALCCK

    public static final CDIMPLANTATIONTYPEvalues TOTALCCK

### HINGE

    public static final CDIMPLANTATIONTYPEvalues HINGE

### TOTALUC

    public static final CDIMPLANTATIONTYPEvalues TOTALUC

### OTHER

    public static final CDIMPLANTATIONTYPEvalues OTHER

### TOTALPROSTHESIS

    public static final CDIMPLANTATIONTYPEvalues TOTALPROSTHESIS

### TOTALPROSTHESISDUALMOBILITY

    public static final CDIMPLANTATIONTYPEvalues TOTALPROSTHESISDUALMOBILITY

### HEMIPROSTHESISMONOBLOCK

    public static final CDIMPLANTATIONTYPEvalues HEMIPROSTHESISMONOBLOCK

### HEMIPROSTHESISBIPOLAR

    public static final CDIMPLANTATIONTYPEvalues HEMIPROSTHESISBIPOLAR

### BICRUCIATERETAINING

    public static final CDIMPLANTATIONTYPEvalues BICRUCIATERETAINING

### HEMIPROSTHESISMODULAR

    public static final CDIMPLANTATIONTYPEvalues HEMIPROSTHESISMODULAR

### RESURFACINGFEMHEMI

    public static final CDIMPLANTATIONTYPEvalues RESURFACINGFEMHEMI

### RESURFACINGFEMCUP

    public static final CDIMPLANTATIONTYPEvalues RESURFACINGFEMCUP

### RESURFACINGPARTIAL

    public static final CDIMPLANTATIONTYPEvalues RESURFACINGPARTIAL

### RESURFACINGPARTIALFEMCONDYLE

    public static final CDIMPLANTATIONTYPEvalues RESURFACINGPARTIALFEMCONDYLE

Method Detail

### values

    public static CDIMPLANTATIONTYPEvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDIMPLANTATIONTYPEvalues c : CDIMPLANTATIONTYPEvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDIMPLANTATIONTYPEvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDIMPLANTATIONTYPEvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.